import "./tasks/Trim.wdl" as Trim
import "./tasks/Mapping.wdl" as Mapping
import "./tasks/Dedup.wdl" as Dedup
import "./tasks/Call_meth.wdl" as Call_meth


workflow {{ project_name }} {

	File fastq_1
	File fastq_2

	String sample
	String docker
	

	String disk_size
	String cluster_config

    File ref_dir


	call Mapping.Mapping as Mapping {
		input: 
		sample=sample,
		ref_dir=ref_dir,
		trim_read1=fastq_1,
		trim_read2=fastq_2,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
	call Dedup.Dedup as Dedup {
		input:
		unsorted_bam=Mapping.unsorted_bam,
		sample=sample,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
	call Call_meth.Call_meth as Call_meth {
		input:
		ref_dir=ref_dir,
		Dedup_bam=Dedup.dedup_bam,
		sample=sample,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
}
